## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
# * data files required by tests are not included in published crates
%bcond_with check
%global debug_package %{nil}

%global crate font-kit

Name:           rust-font-kit
Version:        0.11.0
Release:        %autorelease
Summary:        Cross-platform font loading library

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/font-kit
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          font-kit-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * bump float-ord dependency from 0.2 to 0.3
# * bump yeslogic-fontconfig-sys dependency from 3.0.0 to 4.0.0
Patch:          font-kit-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A cross-platform font loading library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+freetype-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+freetype-devel %{_description}

This package contains library source intended for building other packages which
use the "freetype" feature of the "%{crate}" crate.

%files       -n %{name}+freetype-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+loader-freetype-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+loader-freetype-devel %{_description}

This package contains library source intended for building other packages which
use the "loader-freetype" feature of the "%{crate}" crate.

%files       -n %{name}+loader-freetype-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+loader-freetype-default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+loader-freetype-default-devel %{_description}

This package contains library source intended for building other packages which
use the "loader-freetype-default" feature of the "%{crate}" crate.

%files       -n %{name}+loader-freetype-default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+source-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+source-devel %{_description}

This package contains library source intended for building other packages which
use the "source" feature of the "%{crate}" crate.

%files       -n %{name}+source-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+source-fontconfig-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+source-fontconfig-devel %{_description}

This package contains library source intended for building other packages which
use the "source-fontconfig" feature of the "%{crate}" crate.

%files       -n %{name}+source-fontconfig-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+source-fontconfig-default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+source-fontconfig-default-devel %{_description}

This package contains library source intended for building other packages which
use the "source-fontconfig-default" feature of the "%{crate}" crate.

%files       -n %{name}+source-fontconfig-default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+source-fontconfig-dlopen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+source-fontconfig-dlopen-devel %{_description}

This package contains library source intended for building other packages which
use the "source-fontconfig-dlopen" feature of the "%{crate}" crate.

%files       -n %{name}+source-fontconfig-dlopen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+yeslogic-fontconfig-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+yeslogic-fontconfig-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "yeslogic-fontconfig-sys" feature of the "%{crate}" crate.

%files       -n %{name}+yeslogic-fontconfig-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-1
- Update to version 0.11.0; Fixes RHBZ#2069249

* Sun May 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.1-7
- Regenerate with rust2rpm v24

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 17 2021 Fabio Valentini <decathorpe@gmail.com> - 0.10.1-1
- Update to version 0.10.1.
- Fixes RHBZ#1969218

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Sep 19 2020 Fabio Valentini <decathorpe@gmail.com> - 0.10.0-1
- Initial package

## END: Generated by rpmautospec
